<?php
session_start();
include '../../assets/constant/config.php';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    if (isset($_POST['submit'])) {


        $stmt = $conn->prepare("INSERT INTO `paymentmethod`(`name`) VALUES (?)");

        $stmt->execute([
           
            htmlspecialchars($_POST['name'], ENT_QUOTES, 'UTF-8'),
           
        ]);

        $_SESSION['success'] = "success";

        header("location:../manage_payementmethod.php");
    }

    



// update payment....

    if (isset($_POST['update'])) {

 $stmt = $conn->prepare("UPDATE `paymentmethod` SET `name`=? WHERE id=? ");
                  $stmt->execute([
            htmlspecialchars($_POST['name'], ENT_QUOTES, 'UTF-8'),
           
           htmlspecialchars($_POST['id'], ENT_QUOTES, 'UTF-8')
        ]);
    
        $_SESSION['update'] = "update";
        header("location:../manage_payementmethod.php");
    }
    

    // delete payment..

    if (isset($_POST['del_id'])) {

        $stmt = $conn->prepare("UPDATE `paymentmethod` SET delete_status='1' where id=? ");

        $stmt->execute([htmlspecialchars($_POST['del_id'], ENT_QUOTES, 'UTF-8')]);

        $_SESSION['delete'] = "delete";

        header("location:../manage_payementmethod.php");
    }
} catch (PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
}
